=== modified file 'drizzled/create_field.cc'
--- drizzled/create_field.cc	2011-06-22 20:05:58 +0000
+++ drizzled/create_field.cc	2011-07-05 14:36:13 +0000
@@ -172,24 +172,21 @@
   charset= &my_charset_bin;
   decimals= decimals_arg & FIELDFLAG_MAX_DEC;
 
-  if (! maybe_null)
-    flags= NOT_NULL_FLAG;
-  else
-    flags= 0;
+  flags= maybe_null ? 0 : NOT_NULL_FLAG;
 }
 
 bool CreateField::init(Session *,
-                        char *fld_name,
+                        const char *fld_name,
                         enum_field_types fld_type,
-                        char *fld_length,
-                        char *fld_decimals,
+                        const char *fld_length,
+                        const char *fld_decimals,
                         uint32_t fld_type_modifier,
                         LEX_STRING *fld_comment,
-                        char *fld_change,
+                        const char *fld_change,
                         List<String> *fld_interval_list,
-                        const charset_info_st * const fld_charset,
+                        const charset_info_st* fld_charset,
                         uint32_t,
-                        enum column_format_type column_format_in)
+                        column_format_type column_format_in)
 {
   uint32_t sign_len= 0;
   uint32_t allowed_type_modifier= 0;

=== modified file 'drizzled/create_field.h'
--- drizzled/create_field.h	2011-06-26 16:37:38 +0000
+++ drizzled/create_field.h	2011-07-05 14:36:13 +0000
@@ -37,7 +37,7 @@
   const char *after; /**< Put this new Field after this Field */
   LEX_STRING comment; /**< A comment for this field */
   Item *def; /**< Default value for the new field */
-  enum enum_field_types sql_type; /**< The data type of the new field */
+  enum_field_types sql_type; /**< The data type of the new field */
 
   enum_field_types type() const
   {
@@ -108,23 +108,23 @@
     @retval
       true  on error
   */
-  bool init(Session *session,
-            char *field_name,
+  bool init(Session*,
+            const char *field_name,
             enum_field_types type,
-            char *length,
-            char *decimals,
+            const char *length,
+            const char *decimals,
             uint32_t type_modifier,
             LEX_STRING *comment,
-            char *change,
+            const char *change,
             List<String> *interval_list,
-            const charset_info_st * const cs,
+            const charset_info_st*,
             uint32_t uint_geom_type,
-            enum column_format_type column_format);
+            column_format_type column_format);
 
   bool setDefaultValue(Item *default_value, Item *on_update_item);
 };
 
-std::ostream& operator<<(std::ostream& output, const CreateField &field);
+std::ostream& operator<<(std::ostream&, const CreateField&);
 
 } /* namespace drizzled */
 

=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2011-06-22 14:19:44 +0000
+++ drizzled/field.cc	2011-07-05 14:36:13 +0000
@@ -56,6 +56,7 @@
 #include <drizzled/current_session.h>
 #include <drizzled/display.h>
 #include <drizzled/typelib.h>
+#include <drizzled/create_field.h>
 
 namespace drizzled {
 

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2011-06-22 15:11:11 +0000
+++ drizzled/field.h	2011-07-05 14:36:13 +0000
@@ -774,14 +774,6 @@
 
 std::ostream& operator<<(std::ostream& output, const Field &field);
 
-} /* namespace drizzled */
-
-/** @TODO Why is this in the middle of the file???*/
-#include <drizzled/create_field.h>
-
-namespace drizzled
-{
-
 /**
  * A class for sending field information to a client.
  *
@@ -803,7 +795,6 @@
   uint32_t flags;
   uint32_t decimals;
   enum_field_types type;
-  SendField() {}
 };
 
 uint32_t pack_length_to_packflag(uint32_t type);

=== modified file 'drizzled/field/decimal.cc'
--- drizzled/field/decimal.cc	2011-06-20 15:04:56 +0000
+++ drizzled/field/decimal.cc	2011-07-05 14:36:13 +0000
@@ -24,9 +24,9 @@
 #include <drizzled/error.h>
 #include <drizzled/table.h>
 #include <drizzled/session.h>
+#include <drizzled/create_field.h>
 
-namespace drizzled
-{
+namespace drizzled {
 
 /****************************************************************************
  ** File_decimal

=== modified file 'drizzled/field/num.cc'
--- drizzled/field/num.cc	2011-03-28 14:13:55 +0000
+++ drizzled/field/num.cc	2011-07-05 14:36:13 +0000
@@ -26,6 +26,7 @@
 #include <drizzled/session.h>
 #include <drizzled/internal/my_sys.h>
 #include <drizzled/util/test.h>
+#include <drizzled/create_field.h>
 
 namespace drizzled {
 

=== modified file 'drizzled/item/sum.cc'
--- drizzled/item/sum.cc	2011-06-30 07:03:08 +0000
+++ drizzled/item/sum.cc	2011-07-05 14:36:13 +0000
@@ -42,6 +42,7 @@
 #include <drizzled/item/subselect.h>
 #include <drizzled/sql_lex.h>
 #include <drizzled/system_variables.h>
+#include <drizzled/create_field.h>
 
 #include <algorithm>
 

=== modified file 'drizzled/parser.cc'
--- drizzled/parser.cc	2011-07-05 14:18:30 +0000
+++ drizzled/parser.cc	2011-07-05 14:36:13 +0000
@@ -22,7 +22,7 @@
 #include <drizzled/session.h>
 #include <drizzled/parser.h>
 #include <drizzled/alter_info.h>
-
+#include <drizzled/create_field.h>
 #include <drizzled/message/alter_table.pb.h>
 #include <drizzled/item/subselect.h>
 #include <drizzled/sql_lex.h>

=== modified file 'drizzled/sql_insert.cc'
--- drizzled/sql_insert.cc	2011-06-24 15:25:06 +0000
+++ drizzled/sql_insert.cc	2011-07-05 14:36:13 +0000
@@ -41,6 +41,7 @@
 #include <drizzled/session/transactions.h>
 #include <drizzled/open_tables_state.h>
 #include <drizzled/table/cache.h>
+#include <drizzled/create_field.h>
 
 namespace drizzled {
 

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2011-06-29 12:57:43 +0000
+++ drizzled/sql_parse.cc	2011-07-05 14:36:13 +0000
@@ -59,6 +59,7 @@
 #include <drizzled/system_variables.h>
 #include <drizzled/session/times.h>
 #include <drizzled/session/transactions.h>
+#include <drizzled/create_field.h>
 
 #include <limits.h>
 

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2011-07-04 14:21:18 +0000
+++ drizzled/sql_table.cc	2011-07-05 14:36:13 +0000
@@ -45,6 +45,7 @@
 #include <drizzled/diagnostics_area.h>
 #include <drizzled/open_tables_state.h>
 #include <drizzled/table/cache.h>
+#include <drizzled/create_field.h>
 
 #include <algorithm>
 #include <sstream>

=== modified file 'drizzled/statement/alter_table.cc'
--- drizzled/statement/alter_table.cc	2011-06-23 10:47:03 +0000
+++ drizzled/statement/alter_table.cc	2011-07-05 14:36:13 +0000
@@ -50,6 +50,7 @@
 #include <drizzled/util/test.h>
 #include <drizzled/open_tables_state.h>
 #include <drizzled/table/cache.h>
+#include <drizzled/create_field.h>
 
 using namespace std;
 

=== modified file 'drizzled/table/singular.cc'
--- drizzled/table/singular.cc	2011-06-23 14:36:20 +0000
+++ drizzled/table/singular.cc	2011-07-05 14:36:13 +0000
@@ -29,6 +29,7 @@
 #include <drizzled/plugin/transactional_storage_engine.h>
 #include <drizzled/statistics_variables.h>
 #include <drizzled/table.h>
+#include <drizzled/create_field.h>
 
 namespace drizzled {
 namespace table {

=== modified file 'drizzled/table_proto.cc'
--- drizzled/table_proto.cc	2011-07-05 12:15:12 +0000
+++ drizzled/table_proto.cc	2011-07-05 14:36:13 +0000
@@ -37,7 +37,7 @@
 
 #include <drizzled/table_proto.h>
 #include <drizzled/charset.h>
-
+#include <drizzled/create_field.h>
 #include <drizzled/function/time/typecast.h>
 
 using namespace std;

